# Get Order GET https://api.shipbob.com/2026-01/order/{orderId} Retrieves detailed information about a specific order by its order ID, including order status, shipments, products, and recipient details. Reference: https://developer.shipbob.com/api/orders/get-order ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get Order version: endpoint_orders.getOrder paths: /2026-01/order/{orderId}: get: operationId: get-order summary: Get Order description: >- Retrieves detailed information about a specific order by its order ID, including order status, shipments, products, and recipient details. tags: - - subpackage_orders parameters: - name: orderId in: path description: '' required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string - name: shipbob_channel_id in: header description: >- Retrieve your channel ID from the [GET /channel](/api/channels/get-channels) endpoint. Use the channel ID that has write scopes. required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Orders.OrderViewModel' '400': description: Bad Request content: {} '401': description: No access right at this time content: {} '403': description: No access content: {} '404': description: Not Found content: {} components: schemas: Orders.ChannelInfoViewModel: type: object properties: id: type: integer description: Unique id of the channel name: type: - string - 'null' description: Name of the channel Orders.Financials: type: object properties: total_price: type: - number - 'null' format: double description: Sum of all line item prices, discounts, and taxes in USD Orders.ProductInfoViewModel: type: object properties: external_line_id: type: - integer - 'null' description: >- Numeric assignment per item. Used as a reference number for multiple purposes such as split orders, split containers, etc. gtin: type: - string - 'null' description: >- Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1 id: type: - integer - 'null' description: Unique id of the product quantity: type: integer description: The quantity of this product ordered quantity_unit_of_measure_code: type: - string - 'null' description: >- Defined standard for measure for an item (each, inner pack, case, pallet). Values: EA, INP, CS and PL reference_id: type: - string - 'null' description: Unique reference id of the product sku: type: - string - 'null' description: Stock keeping unit for the product unit_price: type: - number - 'null' format: double description: Price for one item upc: type: - string - 'null' description: Universal Product Code - Unique external identifier Orders.AddressViewModel: type: object properties: address1: type: string description: First line of the address address2: type: - string - 'null' description: Second line of the address city: type: string description: The city company_name: type: - string - 'null' description: Name of the company receiving the shipment country: type: string description: The country (Must be ISO Alpha-2 for estimates) state: type: - string - 'null' description: The state or province zip_code: type: - string - 'null' format: postal-code description: The zip code or postal code required: - address1 - city - country Orders.AddressType: type: string enum: - value: MarkFor - value: ShipFrom Orders.RetailerProgramDataAddressViewModel: type: object properties: address1: type: string description: First line of the address address2: type: - string - 'null' description: Second line of the address city: type: string description: The city company_name: type: - string - 'null' description: Name of the company receiving the shipment country: type: string description: The country (Must be ISO Alpha-2 for estimates) state: type: - string - 'null' description: The state or province zip_code: type: - string - 'null' format: postal-code description: The zip code or postal code type: $ref: '#/components/schemas/Orders.AddressType' required: - address1 - city - country - type OrdersRecipientInfoViewModelAddress: oneOf: - $ref: '#/components/schemas/Orders.AddressViewModel' - $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel' Orders.RecipientInfoViewModel: type: object properties: address: $ref: '#/components/schemas/OrdersRecipientInfoViewModelAddress' description: Address of the recipient email: type: - string - 'null' format: email description: Email address of the recipient name: type: string description: Name of the recipient phone_number: type: - string - 'null' description: Phone number of the recipient required: - address - name Orders.RetailerProgramDataViewModel: type: object properties: addresses: type: - array - 'null' items: $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel' description: "Ship From - Certain retailers want to display the ship from address as their return facility, not Shipbob’s warehouse address /// \r\nMark For Address - Final destination address" customer_ticket_number: type: - string - 'null' description: Customer Ticket Number delivery_date: type: - string - 'null' format: date-time description: Expected delivery date department: type: - string - 'null' description: Identifies a merchant's store department doNotShipBeforeDate: type: - string - 'null' format: date-time description: The date the retailer does not want the order shipped by. mark_for_store: type: - string - 'null' description: Store Number purchase_order_number: type: string description: >- First initial documentation sent from buyer to seller with item(s) and quantities. retailer_program_type: type: string description: Identifies retailer-merchant combination shipByDate: type: - string - 'null' format: date-time description: The date the retailer has requested the order to ship by. Orders.FulfillmentStatus: type: string enum: - value: AwaitingInventoryAllocation - value: AwaitingReset - value: Unavailable - value: PendingOnTime - value: FulfilledOnTime - value: PendingLate - value: FulfilledLate Orders.FulfillmentCenterViewModel: type: object properties: id: type: integer description: Id of the fulfillment center name: type: - string - 'null' description: Name of the fulfillment center Orders.MeasurementsViewModel: type: object properties: depth_in: type: integer description: Total depth in inches length_in: type: integer description: Total length in inches total_weight_oz: type: integer description: Total weight in ounces width_in: type: integer description: Total width in inches Orders.PackageMaterialType: type: string enum: - value: Unknown - value: Box - value: BubbleMailer - value: PolyMailer - value: FragileBox - value: PosterTube - value: Custom - value: Bookfold - value: OwnContainer - value: Undefined Orders.InventoryViewModel: type: object properties: expiration_date: type: - string - 'null' format: date-time description: Expiration date of the inventory id: type: integer description: Unique id of the inventory is_dangerous_goods: type: boolean description: Is inventory Dangerous Good lot: type: - string - 'null' description: Lot number of the inventory name: type: - string - 'null' description: Name of the inventory item quantity: type: integer description: Quantity of the inventory item to be included in the fulfillment quantity_committed: type: integer description: >- The quantity of the inventory item allocated from the assigned fulfillment center and committed to the order. If quantity committed is less than order quantity, then the inventory item is out of stock at the assigned fulfillment center. serial_numbers: type: - array - 'null' items: type: string description: Serial number of the inventory Orders.ShipmentProductViewModel: type: object properties: id: type: integer description: Unique id of the product inventory_items: type: - array - 'null' items: $ref: '#/components/schemas/Orders.InventoryViewModel' description: >- Information about fulfillable inventory items belonging to this product name: type: - string - 'null' description: Name of the product reference_id: type: - string - 'null' description: Unique reference id of the product sku: type: - string - 'null' description: Stock keeping unit for the product Orders.CartonDetailsViewModel: type: object properties: products: type: - array - 'null' items: $ref: '#/components/schemas/Orders.ShipmentProductViewModel' description: List of what is packed in this carton Orders.CartonMeasurementsViewModel: type: object properties: depth_in: type: number format: double description: Total depth in inches length_in: type: number format: double description: Total length in inches total_weight_oz: type: number format: double description: Total weight in ounces width_in: type: number format: double description: Total width in inches Orders.CartonViewModel: type: object properties: barcode: type: - string - 'null' description: Barcode assigned to this carton carton_details: type: - array - 'null' items: $ref: '#/components/schemas/Orders.CartonDetailsViewModel' description: Details about the contents of this carton id: type: integer description: ID assigned to this carton measurements: $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel' type: type: - string - 'null' description: Type of this carton container Orders.ParentCartonViewModel: type: object properties: barcode: type: - string - 'null' description: Barcode assigned to this carton cartons: type: - array - 'null' items: $ref: '#/components/schemas/Orders.CartonViewModel' description: Cartons packed inside this parent container measurements: $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel' type: type: - string - 'null' description: Type of this carton container OrdersRecipientViewModelAddress: oneOf: - $ref: '#/components/schemas/Orders.AddressViewModel' - $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel' Orders.RecipientViewModel: type: object properties: address: oneOf: - $ref: '#/components/schemas/OrdersRecipientViewModelAddress' - type: 'null' description: Address of the recipient email: type: - string - 'null' format: email description: Email address of the recipient full_name: type: - string - 'null' description: FullName of the recipient name: type: - string - 'null' description: Name of the recipient phone_number: type: - string - 'null' format: tel description: Phone number of the recipient Orders.OrderStatusEnum: type: string enum: - value: None - value: Processing - value: Completed - value: Exception - value: OnHold - value: Cancelled - value: CleanSweeped - value: LabeledCreated - value: ImportReview Orders.StatusInformationViewModel: type: object properties: validation_messages: type: - array - 'null' items: type: string Orders.StatusDetailViewModel: type: object properties: description: type: - string - 'null' description: Describes what the status detail means exception_fulfillment_center_id: type: - integer - 'null' extra_information: $ref: '#/components/schemas/Orders.StatusInformationViewModel' id: type: integer description: The id of the status detail inventory_id: type: - integer - 'null' description: Inventory Id the detail applies to (if applicable) name: type: - string - 'null' description: Short name of the status detail Orders.TrackingViewModel: type: object properties: bol: type: - string - 'null' description: >- Bill of lading (BOL) number. Document acknowledging receipt of cargo for shipment. carrier: type: - string - 'null' description: Carrier of the shipment carrier_service: type: - string - 'null' description: The carrier's service which was used for this shipment pro_number: type: - string - 'null' description: Tracking number used for freight carriers scac: type: - string - 'null' description: >- Standard Carrier Alpha Code (SCAC). Unique 2-4 letter code used to identify transportation companies. shipping_date: type: - string - 'null' format: date-time description: Date freight was shipped on tracking_number: type: - string - 'null' description: Tracking number of the shipment tracking_url: type: - string - 'null' description: URL to the website where a shipment can be tracked Orders.ShipmentViewModel: type: object properties: actual_fulfillment_date: type: - string - 'null' format: date-time description: "The datetime of ShipBob’s completion of the fulfillment operation as promised.\r\nCurrently, this means the shipment has been picked, packed, and label has been printed." created_date: type: string format: date-time description: Date this shipment was created delivery_date: type: - string - 'null' format: date-time description: The datetime of Shipment delivered to customer. estimated_fulfillment_date: type: - string - 'null' format: date-time description: "The datetime of ShipBob’s commitment for completing\r\nthe shipment and handing to the carrier for delivery." estimated_fulfillment_date_status: $ref: '#/components/schemas/Orders.FulfillmentStatus' gift_message: type: - string - 'null' description: Gift message associated with the shipment id: type: integer description: Unique id of the shipment insurance_value: type: - number - 'null' format: double description: Monetary amount that this shipment was insured for invoice_amount: type: - number - 'null' format: double description: Monetary amount that was invoiced for this shipment invoice_currency_code: type: - string - 'null' is_tracking_uploaded: type: boolean description: "Indicates whether the Shipment was marked with tracking information\r\nuploaded to a third-party system where the order originated." last_tracking_update_at: type: - string - 'null' format: date-time description: Timestamp for the last time this shipment had a tracking update last_update_at: type: - string - 'null' format: date-time description: Date this shipment was last updated location: $ref: '#/components/schemas/Orders.FulfillmentCenterViewModel' measurements: $ref: '#/components/schemas/Orders.MeasurementsViewModel' order_id: type: integer description: Id of the order this shipment belongs to package_material_type: $ref: '#/components/schemas/Orders.PackageMaterialType' parent_cartons: type: - array - 'null' items: $ref: '#/components/schemas/Orders.ParentCartonViewModel' description: Carton information for this shipment products: type: - array - 'null' items: $ref: '#/components/schemas/Orders.ShipmentProductViewModel' description: Information about the products contained in this shipment recipient: $ref: '#/components/schemas/Orders.RecipientViewModel' reference_id: type: - string - 'null' description: >- Client-defined external unique id of the order this shipment belongs to require_signature: type: boolean description: If a shipment requires signature ship_option: type: - string - 'null' description: Name of the shipping option used for this shipment status: $ref: '#/components/schemas/Orders.OrderStatusEnum' status_details: type: - array - 'null' items: $ref: '#/components/schemas/Orders.StatusDetailViewModel' description: Additional details about the shipment status tracking: $ref: '#/components/schemas/Orders.TrackingViewModel' Orders.CarrierShipType: type: string enum: - value: Parcel - value: Freight Orders.PaymentShipTerm: type: string enum: - value: Collect - value: ThirdParty - value: Prepaid - value: MerchantResponsible Orders.ShippingTermsViewModel: type: object properties: carrier_type: $ref: '#/components/schemas/Orders.CarrierShipType' payment_term: $ref: '#/components/schemas/Orders.PaymentShipTerm' Orders.OrderStatus: type: string enum: - value: Processing - value: Exception - value: PartiallyFulfilled - value: Fulfilled - value: Cancelled - value: ImportReview Orders.TagViewModel: type: object properties: name: type: string description: The key of the tag value: type: string description: The value of the tag required: - name - value Orders.OrderType: type: string enum: - value: DTC - value: DropShip - value: B2B Orders.OrderViewModel: type: object properties: channel: $ref: '#/components/schemas/Orders.ChannelInfoViewModel' created_date: type: string format: date-time description: Date this order was created financials: $ref: '#/components/schemas/Orders.Financials' gift_message: type: - string - 'null' description: Gift message associated with the order id: type: integer description: Unique id of the order order_number: type: - string - 'null' description: >- User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used products: type: - array - 'null' items: $ref: '#/components/schemas/Orders.ProductInfoViewModel' description: List of products included in the order purchase_date: type: - string - 'null' format: date-time description: Date this order was purchase by the end user recipient: $ref: '#/components/schemas/Orders.RecipientInfoViewModel' reference_id: type: - string - 'null' description: Client-defined external unique id of the order retailer_program_data: $ref: '#/components/schemas/Orders.RetailerProgramDataViewModel' shipments: type: - array - 'null' items: $ref: '#/components/schemas/Orders.ShipmentViewModel' description: Shipments affiliated with the order shipping_method: type: - string - 'null' description: Client-defined shipping method shipping_terms: $ref: '#/components/schemas/Orders.ShippingTermsViewModel' status: $ref: '#/components/schemas/Orders.OrderStatus' tags: type: - array - 'null' items: $ref: '#/components/schemas/Orders.TagViewModel' description: Client-defined order tags type: $ref: '#/components/schemas/Orders.OrderType' ``` ## SDK Code Examples ```python Orders_getOrder_example import requests url = "https://api.shipbob.com/2026-01/order/orderId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Orders_getOrder_example const url = 'https://api.shipbob.com/2026-01/order/orderId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Orders_getOrder_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/order/orderId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Orders_getOrder_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/order/orderId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Orders_getOrder_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/order/orderId") .header("Authorization", "Bearer ") .asString(); ``` ```php Orders_getOrder_example request('GET', 'https://api.shipbob.com/2026-01/order/orderId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Orders_getOrder_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/order/orderId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Orders_getOrder_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/order/orderId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```